com.asprise.ocr

## Enum Ocr.PageType

- java.lang.Object
- - java.lang.Enum<Ocr.PageType>
  - - com.asprise.ocr.Ocr.PageType

- All Implemented Interfaces:
    Serializable, Comparable<Ocr.PageType>
  Enclosing class:
    Ocr

      public static enum Ocr.PageType
      extends Enum<Ocr.PageType>

  Page type hint

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO`
    `SCATTERED`
    `SINGLE_BLOCK`
    `SINGLE_CHAR`
    `SINGLE_COLUMN`
    `SINGLE_LINE`
    `SINGLE_WORD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Ocr.PageType` | `parse(String s)`
    `String` | `toString()`
    `static Ocr.PageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Ocr.PageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final Ocr.PageType AUTO

    - #### SINGLE_BLOCK

          public static final Ocr.PageType SINGLE_BLOCK

    - #### SINGLE_COLUMN

          public static final Ocr.PageType SINGLE_COLUMN

    - #### SINGLE_LINE

          public static final Ocr.PageType SINGLE_LINE

    - #### SINGLE_WORD

          public static final Ocr.PageType SINGLE_WORD

    - #### SINGLE_CHAR

          public static final Ocr.PageType SINGLE_CHAR

    - #### SCATTERED

          public static final Ocr.PageType SCATTERED

  - ### Method Detail

    - #### values

          public static Ocr.PageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Ocr.PageType c : Ocr.PageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Ocr.PageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Ocr.PageType>`

    - #### parse

          public static Ocr.PageType parse(String s)

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com